<?php

class ScheduleEmail extends EmailTemplate
{
}

/** @extends EmailTemplateTable<ScheduleEmail> */
class ScheduleEmailTable extends EmailTemplateTable
{
    protected $_key = 'email_template_id';
    protected $_table = '?_email_template';
    protected $_recordClass = 'ScheduleEmail';

    public function getAccessType()
    {
        return 'email';
    }

    public function getAccessTitle()
    {
        return ___('Schedule Emails');
    }

    public function getPageId()
    {
        return 'scheduleemails';
    }
}